import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;

public final class Counter
{
   private IntegerProperty counter = new SimpleIntegerProperty();

   public IntegerProperty counterProperty()
   {
      return counter;
   }

   public int getCounter() 
   {
      return counter.get();
   }

   public void increment()
   {
      counter.set(counter.get() + 1);
   }
}