import javafx.beans.property.ReadOnlyIntegerProperty;
import javafx.beans.property.ReadOnlyIntegerWrapper;

public final class Counter
{
   private ReadOnlyIntegerWrapper counter =
      new ReadOnlyIntegerWrapper();

   public ReadOnlyIntegerProperty counterProperty()
   {
      return counter.getReadOnlyProperty();
   }

   public int getCounter() 
   {
      return counter.get();
   }

   public void increment()
   {
      counter.set(counter.get() + 1);
   }
}